Skip to content

Update a bill

Request

Security
oauth2ClientCredentials(Required scopes: bills:write)
Path
billIdstringrequired
Headers
org_wallet_refstring
business_idstringrequired
Bodyapplication/jsonrequired
invoice_nostring
Example:"INV-001"
invoice_amountnumber
Example:12000
statusstring
Enum:"draft""outstanding"
supplierobject
budget_ownerobject
teamobject

Selected team. The middleware derives budget_owner from its reviewers/employees before forwarding.

paymentsArray of strings
attachmentsArray of strings
withholding_taxesArray of strings
descriptionstring
Example:"Consulting services - June"
due_datestring

Due date (YYYY-MM-DD)

Example:"2026-06-30"
budgetArray of strings

Budget ObjectId(s) this bill is assigned to (upstream stores budget: [ObjectId])

is_draftboolean

Whether the bill is saved as a draft

Example:true
categorystring

Category name

category_codestring

Category / subcategory code

paid_amountnumber

Amount already paid / to be paid

send_onstring

Date the bill payment should be sent (YYYY-MM-DD)

currencystring

Bill currency

Enum:"KES""USD""UGX"
wallet_currencystring

Wallet currency

Enum:"KES""USD""UGX"
original_currencystring

Original currency

Enum:"KES""USD""UGX"
tagsArray of strings

Tag ids attached to the bill

fx_ratenumber

FX rate at time of bill creation (original → wallet currency)

Example:129.5
curl -i -X PATCH \
  'https://developer.boyahq.com/_mock/v2/openapi/bills/{billId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "invoice_no": "INV-001",
    "invoice_amount": 12000,
    "status": "draft",
    "supplier": {},
    "budget_owner": {},
    "team": {},
    "payments": [
      "string"
    ],
    "attachments": [
      "string"
    ],
    "withholding_taxes": [
      "string"
    ],
    "description": "Consulting services - June",
    "due_date": "2026-06-30",
    "budget": [
      "string"
    ],
    "is_draft": true,
    "category": "string",
    "category_code": "string",
    "paid_amount": 0,
    "send_on": "string",
    "currency": "KES",
    "wallet_currency": "KES",
    "original_currency": "KES",
    "tags": [
      "string"
    ],
    "fx_rate": 129.5
  }'

Responses